Bug 3526 - secManager.credentialToSubject problem
: secManager.credentialToSubject problem
Status: RESOLVED FIXED
: GRAM
wsrf managed job factory service
: development
: PC Linux
: P3 normal
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-06-27 18:31 by
Modified: 2005-08-03 17:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-27 18:31:01
I'm a little bit confused on why this didn't show up this morning, but I have
now had the build fail on two different machines (RH9 on x86, and SLES9 on
opteron), and I think this is a valid build failure:



gpt-build ====> BUILDING globus_wsrf_gram_client_java
 ant -Denv.GLOBUS_LOCATION=/home/condor/execute/dir_6028/userdir/install
Buildfile: build.xml
  [taskdef] Could not load definitions from resource clovertasks. It could not
be found.

initClover:

init:
    [mkdir] Created dir:
/home/condor/execute/dir_6028/userdir/globus-installer/source-trees/ws-gram/client/java/source/build
    [mkdir] Created dir:
/home/condor/execute/dir_6028/userdir/globus-installer/source-trees/ws-gram/client/java/source/build/classes
    [mkdir] Created dir:
/home/condor/execute/dir_6028/userdir/globus-installer/source-trees/ws-gram/client/java/source/build/lib

compile:
    [javac] Compiling 3 source files to
/home/condor/execute/dir_6028/userdir/globus-installer/source-trees/ws-gram/client/java/source/build/classes
    [javac]
/home/condor/execute/dir_6028/userdir/globus-installer/source-trees/ws-gram/client/java/source/src/org/globus/exec/client/GramJob.java:916:
cannot resolve symbol
    [javac] symbol  : method credentialToSubject (org.globus.gsi.GlobusCredential)
    [javac] location: class org.globus.wsrf.security.SecurityManager
    [javac]                         secManager.credentialToSubject(credential));
    [javac]                                   ^
    [javac] 1 error
------- Comment #1 From 2005-06-27 18:33:35 -------
This was from globus_4_0_branch.
------- Comment #2 From 2005-06-28 15:06:52 -------
Rachana said she had merged this.  Reassigning to her.
------- Comment #3 From 2005-06-28 15:25:04 -------
Looking at the code that's missing from the branch, I don't really need the
helper method since it converts the cred back into something I originally
convert from.  One line from the method should do it.  Fix in the trunk.
------- Comment #4 From 2005-06-28 17:12:01 -------
Peter,

I missed merging this change. Sorry about that. jarek pointed out that we do 
not want to expose GlobusCredential on a public interface, so this code has 
been removed from trunk also.

Rachana